import { Auth, Session, FoundationAnalytics } from '@genesislcap/foundation-comms';
import { Constructable } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { RouterConfiguration } from '@microsoft/fast-router';
/**
 * @deprecated - Reporting MF has been moved to a standalone repo
 * https://github.com/genesislcap/reporting-server/tree/master/client
 * @public
 */
export type Settings = {
    public?: boolean;
    resetPassword?: boolean;
    requestAccount?: boolean;
    forgotPassword?: boolean;
    logoSrc?: string;
    logoWidth?: string;
    logoHeight?: string;
    maxRows?: number;
    maxView?: number;
};
/**
 * @deprecated - Reporting MF has been moved to a standalone repo
 * https://github.com/genesislcap/reporting-server/tree/master/client
 * @public
 */
export declare class MainRouterConfig extends RouterConfiguration<Settings> {
    private auth;
    private container;
    private analytics;
    private session;
    constructor(auth: Auth, container: Container, analytics: FoundationAnalytics, session: Session);
    configure(): void;
    construct<T>(Type: Constructable<T>): T;
}
//# sourceMappingURL=config.d.ts.map