import { Connect } from '@genesislcap/foundation-comms';
import { Tabs } from '@genesislcap/foundation-zero';
import { FoundationElement } from '@microsoft/fast-foundation';
import { NavigationPhase } from '@microsoft/fast-router';
import { List } from '../../components/list';
import type { Settings } from '../config';
import { Notification } from './types';
export declare class ReportingHome extends FoundationElement {
    connect: Connect;
    fields: string[];
    selectedRows: any[];
    activeReport: any;
    notifications: Notification[];
    datasourceSettings: any;
    listBox: HTMLElement;
    reportsGrid: List;
    tabs: Tabs;
    enter(phase: NavigationPhase<Settings>): Promise<void>;
    connectedCallback(): Promise<void>;
    create(): void;
    edit(rowData: any): void;
    run(rowData: any): Promise<void>;
    setPageTab(tab: string): void;
    getFields(resourceName: string): Promise<void>;
}
//# sourceMappingURL=reporting-home.d.ts.map