import { html, repeat, ref } from '@microsoft/fast-element';
import { REPORT_COLUMN_DEFS } from './columns';
// TODO: provide gridoptions in class
export const ListTemplate = html `
  <zero-grid-pro
    ${ref('grid')}
    data-test-id="report-grid"
    only-template-col-defs
    rowSelection="multiple"
    suppressRowClickSelection
    suppressRowTransform
  >
    <grid-pro-genesis-datasource resource-name="ALL_SAVED_REPORTS"></grid-pro-genesis-datasource>
    ${repeat((x) => REPORT_COLUMN_DEFS(x), html `
        <grid-pro-column
          data-test-id="report-grid-column"
          :definition="${(x) => x}"
        ></grid-pro-column>
      `)}
    <grid-pro-column
      data-test-id="report-grid-actions-column"
      :definition=${(x) => x.actionsMenuSlottedConfig}
    ></grid-pro-column>
  </zero-grid-pro>
`;
