import { Datasource, FilteredDataServerResult } from '@genesislcap/foundation-comms';
import { ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class Preview extends FASTElement {
    grid: ZeroGridPro;
    datasource: Datasource;
    report: any;
    data: FilteredDataServerResult;
    datasourceSettings: any;
    /**
     * When report variable changes handle
     */
    reportChanged(old: any, newValue: any): void;
    /**
     * On component load
     */
    connectedCallback(): void;
    disconnectedCallback(): void;
    /**
     * Fetch data from server and load to grid
     */
    fetchAndLoadToGrid: () => Promise<void>;
    /**
     * Export to csv handle
     */
    exportToCsv: () => void;
    formatDateType: (cellParams: any) => any;
}
//# sourceMappingURL=preview.d.ts.map